# YEAR function

The YEAR function returns the year part of a value. The argument must be a date, timestamp, or a valid character string representation of a date or timestamp. The result of the function is an integer between 1 and 9 999. If the argument can be null, the result can be null; if the argument is null, the result is the null value.

#### Syntax

    YEAR ( expression )

#### Example

Select all the projects in the PROJECT table that are scheduled to start (PRSTDATE) and end (PRENDATE) in the same calendar year.

    SELECT * FROM PROJECT WHERE YEAR(PRSTDATE) = YEAR(PRENDATE)

Parent topic: Built-in functions